
require 'facets/core/string/upcase'

class Symbol

  def upcase
    to_s.upcase.to_sym
  end

  def upcase?
    to_s.upcase?
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCSymbol < Test::Unit::TestCase

    def test_upcase?
      assert( :TIS.upcase? )
      assert( ! :Tis.upcase? )
    end

  end

=end
